Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class ValueMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.ValueMapping

All Implemented Interfaces:
  LoadPrimary, PrimaryTable, StorePrimary

public class ValueMapping
extends FieldMapping
implements LoadPrimary, StorePrimary, PrimaryTable

Represents a simple FieldMapping of a value to a column of the owning class' primary table.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`ValueMapping()`

Method Summary
`protected boolean` | `canMap(FieldMetaData fmd, ClassResolver resolver)`
`void` | `delete(Delete del, StateManagerImpl sm, int field)` Delete the field from the primary table for this mapping.
`Column[]` | `getColumns()` Return all columns of the primary table used only by this mapping.
`void` | `insert(Insert insert, StateManagerImpl sm, int field)` Insert the given field into the primary table for this mapping.
`protected void` | `install(FieldMetaData fmd, JDBCConfiguration conf, ClassResolver resolver, DBDictionary dict)`
`void` | `load(StateManagerImpl sm, int field, ResultSet rs, int index)` Load the value of this mapping from the ResultSet produced by the Select passed to the `select(com.solarmetric.kodo.impl.jdbc.sql.Select)` method.
`void` | `select(Select sel)` Select the value of this mapping.
`void` | `update(Update update, StateManagerImpl sm, int field)` Update the given field into the primary table for this mapping.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`compareToNull, getDataColumns, getInstance, getInstance, getMetaData, join, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`createMappings, createMappings, getConfiguration, getDictionary, getInstance, getTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMapping

    public ValueMapping()

Method Detail

### select

    public void select(Select sel)

  Description copied from interface: `LoadPrimary`
  Select the value of this mapping.
  Specified by:
    `select` in interface `LoadPrimary`

### load

    public void load(StateManagerImpl sm,
                     int field,
                     ResultSet rs,
                     int index)
              throws SQLException

  Description copied from interface: `LoadPrimary`
  Load the value of this mapping from the ResultSet produced by the Select passed to the `LoadPrimary.select(com.solarmetric.kodo.impl.jdbc.sql.Select)` method.
  Specified by:
    `load` in interface `LoadPrimary`

### insert

    public void insert(Insert insert,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Insert the given field into the primary table for this mapping.
  Specified by:
    `insert` in interface `StorePrimary`

### update

    public void update(Update update,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Update the given field into the primary table for this mapping.
  Specified by:
    `update` in interface `StorePrimary`

### delete

    public void delete(Delete del,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Delete the field from the primary table for this mapping.
  Specified by:
    `delete` in interface `StorePrimary`

### canMap

    protected boolean canMap(FieldMetaData fmd,
                             ClassResolver resolver)

### install

    protected void install(FieldMetaData fmd,
                           JDBCConfiguration conf,
                           ClassResolver resolver,
                           DBDictionary dict)

### getColumns

    public Column[] getColumns()

  Description copied from interface: `PrimaryTable`
  Return all columns of the primary table used only by this mapping.
  Specified by:
    `getColumns` in interface `PrimaryTable`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.